Field NationDeveloper Platform
Field NationDeveloper Platform
IntroductionQuick StartAPI Playground

Getting Started

API Reference

Overview
TasksCustom FieldsMilestonesTime LogsSignaturesCompliance
Work OrdersExecution

Milestones

Track granular progress of a work order.


Milestones

Milestones provide a detailed audit trail of key events in the work order's life.

List Milestones

GET /workorders/{id}/milestones

{
  "results": [
    {
      "name": "published",
      "label": "Published",
      "completed": true,
      "completed_at": { "utc": "2024-01-10 09:00:00" },
      "actor": { "name": "System" }
    },
    {
      "name": "assigned",
      "label": "Assigned",
      "completed": true,
      "completed_at": { "utc": "2024-01-11 14:00:00" },
      "actor": { "name": "Dispatch Team" }
    },
    {
      "name": "checked_in",
      "label": "Checked In",
      "completed": false,
      "completed_at": null
    }
  ]
}

Milestone Types

Common milestones tracked:

  • created
  • published
  • routed
  • assigned
  • confirmed (Provider confirmed schedule)
  • checked_in
  • checked_out
  • work_done
  • approved
  • paid

Milestones are read-only and automatically updated by system actions. They are excellent for building timeline visualizations in your integration.

Related

  • Lifecycle - The states that drive milestones
  • Time Logs - Detailed time tracking

Last updated on

Custom Fields

Manage custom fields on work orders for buyer and provider data.

Time Logs

Track provider work hours with check-in/check-out and manual entries.

On this page

Milestones
List Milestones
Milestone Types
Related